Page MenuHomeFreeBSD

Convert jls to use libxo
ClosedPublic

Authored by rodrigc on Dec 9 2015, 4:10 AM.

Details

Summary

This was originally submitted under PR 200746.
I modified the patch slightly based on my
experience reviewing allanjude's conversion of procstat to libxo.

Test Plan

Create some jails.
Run:
jls
jls -N
jls -h
jls --libxo json,pretty
jls --libxo json,pretty -N
jls --libxo json,pretty -h

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rodrigc updated this revision to Diff 10953.Dec 9 2015, 4:10 AM
rodrigc retitled this revision from to Convert jls to use libxo.
rodrigc updated this object.
rodrigc edited the test plan for this revision. (Show Details)
rodrigc added reviewers: allanjude, jamie, marcel, bapt.
rodrigc added a subscriber: manu_bidouilliste.com.
rodrigc updated this revision to Diff 10954.Dec 9 2015, 4:13 AM
rodrigc edited edge metadata.

Remove stdout

allanjude added inline comments.Dec 21 2015, 11:40 PM
usr.sbin/jls/jls.c
209 ↗(On Diff #10954)

missing close }, bad padding, doesn't line up correctly

217 ↗(On Diff #10954)

padding off by 1

391 ↗(On Diff #10954)

instead of doing {e:hostname/%s}{d:hostname/%-29.29s} you can use the shorthand: {:hostname/%-29.29s/%s}

391 ↗(On Diff #10954)

The path shouldn't get truncated

411 ↗(On Diff #10954)

now the output is no longer padded to 15 characters. This is probably ok, but it does change the plain-text output (by removing space characters after the end of the line)

528 ↗(On Diff #10954)

could the libxo 'quotes modifier' help here?

allanjude commandeered this revision.Dec 21 2015, 11:40 PM
allanjude edited reviewers, added: rodrigc; removed: allanjude.
allanjude updated this revision to Diff 11541.Dec 21 2015, 11:51 PM
allanjude marked 4 inline comments as done.
allanjude edited edge metadata.

Fix some problems found during my review

rodrigc accepted this revision.Dec 22 2015, 12:31 AM
rodrigc edited edge metadata.

Macro shipit:

This revision is now accepted and ready to land.Dec 22 2015, 12:31 AM
rodrigc commandeered this revision.Dec 22 2015, 12:34 AM
rodrigc edited reviewers, added: allanjude; removed: rodrigc.
This revision now requires review to proceed.Dec 22 2015, 12:34 AM
allanjude accepted this revision.Dec 22 2015, 12:36 AM
allanjude edited edge metadata.
This revision is now accepted and ready to land.Dec 22 2015, 12:36 AM
This revision was automatically updated to reflect the committed changes.